Package org.eclipse.m2m.atl.common.PrimitiveTypes

# Class PrimitiveTypesPackage

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.m2m.atl.common.PrimitiveTypes.PrimitiveTypesPackage

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class PrimitiveTypesPackage extends org.eclipse.emf.ecore.impl.EPackageImpl
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  - `PrimitiveTypesFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`PrimitiveTypesPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BOOLEAN`
The meta object id for the 'Boolean' data type.
`static final int`
`DOUBLE`
The meta object id for the 'Double' data type.
`static final PrimitiveTypesPackage`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`INTEGER`
The meta object id for the 'Integer' data type.
`static final int`
`STRING`
The meta object id for the 'String' data type.

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EDataType`
`getBoolean()`
Returns the meta object for data type 'Boolean'.
`org.eclipse.emf.ecore.EDataType`
`getDouble()`
Returns the meta object for data type 'Double'.
`org.eclipse.emf.ecore.EDataType`
`getInteger()`
Returns the meta object for data type 'Integer'.
`PrimitiveTypesFactory`
`getPrimitiveTypesFactory()`
Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EDataType`
`getString()`
Returns the meta object for data type '`String`'.
`static PrimitiveTypesPackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

public static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

public static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

public static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

public static final PrimitiveTypesPackage eINSTANCE
The singleton instance of the package.

### BOOLEAN

public static final int BOOLEAN
The meta object id for the 'Boolean' data type.

See Also:
  - `getBoolean()`
  - Constant Field Values

### DOUBLE

public static final int DOUBLE
The meta object id for the 'Double' data type.

See Also:
  - `getDouble()`
  - Constant Field Values

### INTEGER

public static final int INTEGER
The meta object id for the 'Integer' data type.

See Also:
  - `getInteger()`
  - Constant Field Values

### STRING

public static final int STRING
The meta object id for the 'String' data type.

See Also:
  - `String`
  - `getString()`
  - Constant Field Values

## Method Details

### init

public static PrimitiveTypesPackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getBoolean

public org.eclipse.emf.ecore.EDataType getBoolean()
Returns the meta object for data type 'Boolean'.

Returns:
  the meta object for data type 'Boolean'.

### getDouble

public org.eclipse.emf.ecore.EDataType getDouble()
Returns the meta object for data type 'Double'.

Returns:
  the meta object for data type 'Double'.

### getInteger

public org.eclipse.emf.ecore.EDataType getInteger()
Returns the meta object for data type 'Integer'.

Returns:
  the meta object for data type 'Integer'.

### getString

public org.eclipse.emf.ecore.EDataType getString()
Returns the meta object for data type '`String`'.

Returns:
  the meta object for data type 'String'.
See Also:
  - `String`

### getPrimitiveTypesFactory

public PrimitiveTypesFactory getPrimitiveTypesFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.